Subject: Re: How to build callable dll with gnu-win32
From: [email-masked] ("wiljan")

11 Dec 1996 22:42:52 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-7
Content-Transfer-Encoding: 7bit
Original-To: <[email-masked]>, "Iakovos Karakas" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

Lakovos Karakas wrote:
> I would like to build a dll using the gnu win32 development tools
> and then call the functions of the dll from visual basic 4.
> Is this possible and if it is how can I do it ( I mean dlltool or gcc and
> ld options).
> I have already tested according to cygnus documentation and successfully
> produce the dll but when I am truing to call it from vb
> I got an error. Error in loading DLL.

I have also been trying to do this.
Right now I know how to build the DLL,
but as soon as they are getting interesting they will not work any more.

When I build a trival DLL I have no problem.
With that I mean a dll with only a routine and an entry point.
I can link it together and call it from visual basic.

When I make it more complex, the dll is not loadable anymore.
I have now found that this is because there is rubbish data in the dll
when I view it with quickview of NT.
I wrote a small program that just loads such a dll dynamically, as VB
also does, to determine the reason that it can not be loaded.

When I load these dlls I get weird popup messages that indicate that
NT can not find certain dlls. The message holds weird (random data) names
for the dlls missing. This is also what quickview of NT tells me.

This inidicates that there must me a problem with the linker somehow.

Can someone help me finding the real course of this ??
I think this is also important for other users that this works properly.

Wiljan

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".